CREATE OR REPLACE FUNCTION CCH_CTBL_PRODUTO
   (P_CDPRODUTO  IN PRODUTO.CDPRODUTO%TYPE,
    P_IDENTRSAID IN VARCHAR2) RETURN VARCHAR
AS
   V_CDCTBLENTRPR   VARCHAR2(20);
   V_CDCTBLSAIDPR   VARCHAR2(20);
   V_CDARVPROD      VARCHAR2(20);
   V_NMPRODUTO      VARCHAR2(50);
BEGIN
   V_CDCTBLENTRPR  := NULL;
   V_CDCTBLSAIDPR  := NULL;
   V_CDARVPROD     := NULL;
   V_NMPRODUTO     := NULL;

   BEGIN
      SELECT CDARVPROD
        INTO V_CDARVPROD
        FROM PRODUTO
       WHERE CDPRODUTO = P_CDPRODUTO;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         V_CDARVPROD := NULL;
   END;

   BEGIN
      SELECT PR.CDCTBLENTRPR AS CDCTBLENTRPR, PR.CDCTBLSAIDPR AS CDCTBLSAIDPR, PR.NMPRODUTO
        INTO V_CDCTBLENTRPR, V_CDCTBLSAIDPR, V_NMPRODUTO
        FROM PRODUTO PR,
            (SELECT MAX(CDARVPROD) CDARVPROD
               FROM (SELECT CDARVPROD AS CDARVPROD
                       FROM PRODUTO C
                      WHERE V_CDARVPROD LIKE C.CDARVPROD ||'%'
                        AND CDCTBLENTRPR IS NOT NULL
                        AND 'E' = P_IDENTRSAID)
              UNION
             SELECT MAX(CDARVPROD) CDARVPROD
               FROM (SELECT CDARVPROD AS CDARVPROD
                       FROM PRODUTO C
                      WHERE V_CDARVPROD LIKE C.CDARVPROD ||'%'
                        AND CDCTBLSAIDPR IS NOT NULL
                        AND 'S' = P_IDENTRSAID)
              UNION
             SELECT MAX(CDARVPROD) CDARVPROD
               FROM (SELECT CDARVPROD AS CDARVPROD
                       FROM PRODUTO C
                      WHERE V_CDARVPROD LIKE C.CDARVPROD ||'%'
                        AND CDCTBLENTRPR IS NOT NULL
                        AND 'N' = P_IDENTRSAID)) P
        WHERE PR.CDARVPROD = P.CDARVPROD;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         V_CDCTBLENTRPR := NULL;
         V_CDCTBLSAIDPR := NULL;
         V_NMPRODUTO    := NULL;
   END;

   IF P_IDENTRSAID = 'E' THEN
      RETURN(V_CDCTBLENTRPR);
   ELSE
      IF P_IDENTRSAID = 'S' THEN
         RETURN(V_CDCTBLSAIDPR);
      ELSE
         RETURN(V_NMPRODUTO);
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('CCH_CTBL_PRODUTO','6.49.044'); END;
/
